Query Return Fulfillment Order
GET https://{handle}.myshopline.com/admin/openapi/v20261201/return_fulfillment.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query return fulfillment order
Query Parameters
- return_id stringReturn id
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
order_return_fulfillment_listobject[]
Return orderreverse_fulfillment_order_line_itemsobject[]
Return Product line informationfulfillment_line_itemobject
Invoice Product line detail nodequantity integerNumber of invoicesline_itemobject
Fahuodan line information associated with invoicegift_card booleanWei for gift cards or not : false、trueExample:truetitle stringGpu Product titleExample:It's good Productfulfillment_service stringLogistics company nameExample:Sf internationalpropertiesobject[]
Product customization informationvalue stringCustomized information contentExample:Freedomname stringCustom information objectExample:Texttype stringCustom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .Example:texturls arrayAddress link informationExample:["https://image.shopline.com"]id stringProduct row idExample:405product_id stringSpu serial number , Product unique identification numberExample:16056898121352174690861487quantity integerProduct quantityExample:1tags stringProduct tag , separated by ',' when there are multipleExample:salesfulfillment_status stringProduct delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shippedExample:fulfilledfulfillable_quantity integerRemaining Product number of requiredExample:1attribute stringProduct attribute information : name-attribute value , multiple attribute values are measured commaExample:Color-red , size-xsku stringMerchant custom numberExample:SKU1234variant_title stringProduct attribute value , multiple divided by " / "Example:L/Redprice stringProduct selling price , Product detail page sale priceExample:100.0vendor stringProduct supplierExample:product suppliergrams doubleProduct weight ( grams )Example:1requires_shipping booleanProduct need to be shipped : false、trueExample:truetaxable booleanProduct incl . : false、trueExample:trueimage_url stringProduct link urlExample:https://image.shopline.com/abc.jpgvariant_id stringProduct SKU serial numberExample:18056898121355865678441487name stringSKU title, same as titleExample:It's good Productid stringReturn order Product line numberExample:RDP5860580372212396041return_reason stringThe return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)Example:NOT_AS_DESCRIBEDreturn_reason_note stringProduct line return reason detailed notes, maximum 128 characters supportedExample:Product does not match the descriptiontotal_quantity integerReturn item about the number of returnsExample:1fulfillable_quantity integerReturn quantity of orderExample:1status stringReturn item order statusExample:OPENthird_party_confirmation stringThird party logistics carrier confirmation resultsExample:successid stringUnique business idExample:2605860580357012238342order_id stringAssociated order numberExample:21058605762597644309430942return_id stringAssociated return idExample:SL201AS4571636204541382726
API Explorer
Debugger
Was this article helpful to you?